{...}: let
  ipSilver = "10.13.0.1"; # TODO: hardcoding
  ipEidola = "10.13.1.1"; # TODO: hardcoding
in {
  services.prometheus = {
    enable = true;

    globalConfig = {
      scrape_interval = "20s";
    };

    scrapeConfigs = [
      {
        job_name = "silver";
        static_configs = [
          {
            targets = ["${ipSilver}:9100"];
          }
        ];
      }
      {
        job_name = "eidola";
        static_configs = [
          {
            targets = ["${ipEidola}:9100"];
          }
        ];
      }
    ];
  };
}
